Bug 198998 - kernel 2.6.17 Breaks S3 Wake Sony Vaio FS640/W
kernel 2.6.17 Breaks S3 Wake Sony Vaio FS640/W
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
5
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Dave Jones
Brian Brock
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-07-15 10:30 EDT by Garry T. Williams
Modified: 2015-01-04 17:27 EST (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-10-16 19:55:45 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Garry T. Williams 2006-07-15 10:30:11 EDT
Description of problem:
All 2.17 kernels fail to wake properly from S3.

The resume completes, but the display is dead.  Networking is restored and
keyboard is restored.  Recovery is to type in the blind: <ctrl><alt><f1>,
login and password, sudo reboot.


Version-Release number of selected component (if applicable):
S3 suspend/wake works on 2.6.16-1.2133_FC5.  Fails to wake properly (display is
dead) on:

    2.6.17-1.2139_FC5
    2.6.17-1.2145_FC5
    2.6.17-1.2157_FC5


How reproducible:
100%


Steps to Reproduce:
1. I use KDE and I configured Klaptop Button Actions to Suspend on Lid Switch
Closed.
2. Close lid.
3. Open lid.
4. Hit <ctrl> key (or any key, actually) to wake.

  
Actual results:
System wakes from S3, but display is powered off.


Expected results:
System wakes from S3 with didplay restored.


Additional info:
System is Sony Vaio FS640/W:
  o Intel Pentium M processor 730 (1.60GHz, 2MB L2 Cache)
  o 1GByte memory
  o Mobile Intel 915GM/GMS, 910GML Express Chipset Family 128 MByte, 15.4 inch
LCD 1280x800 True Color


Originally installed with FC4, upgraded to FC5.  With FC4, I successfully did S3
suspend/wake with custom scripts handling acpid button/lid event.  Since
2.6.16-1.2133_FC5, I removed all custom scripts and I now rrely on the default
behavior of KDE Klaptop configured to suspend on lid switch close.

I have reviewed bug #196835 and bug #196589.  There seems to be a lot of
conflicting information in both of these bugs.  In particular, some people
report fixes with new kernels and xorg.conf changes.  Others report no joy with
the same "fix".  Since no one reported sysptoms that completely matched mine and
since there doesn't seem to be any definitive information from upstream, I
elected to open a new bug.  I did change my xorg.conf to add:

Section "Device"
    ...
    Option      "VBERestore" "true"
EndSection

Logs
----

I did an analysis of a diff between syslog output from a successful suspend/wake
cycle and a failed one (using kernel 2.6.17-1.2157_FC5).  The major difference I
see is that there are different IRQs assigned with the later kernel for USB (and
other) devices.  In the failed case, the X server dies, too.  Here's the logs:

Success:
-------
tfr kernel: Stopping tasks:
==========================================================================================================|
tfr kernel: eth1: Going into suspend...
tfr kernel: Intel machine check architecture supported.
tfr kernel: Intel machine check reporting enabled on CPU#0.
tfr kernel: ACPI: PCI Interrupt 0000:00:02.0[A] -> GSI 16 (level, low) -> IRQ 16
tfr kernel: ACPI: PCI Interrupt 0000:00:1b.0[A] -> GSI 16 (level, low) -> IRQ 16
tfr kernel: ACPI: PCI Interrupt 0000:00:1d.0[A] -> GSI 23 (level, low) -> IRQ 20
tfr kernel: usb usb1: root hub lost power or was reset
tfr kernel: ACPI: PCI Interrupt 0000:00:1d.1[B] -> GSI 19 (level, low) -> IRQ 21
tfr kernel: usb usb2: root hub lost power or was reset
tfr kernel: ACPI: PCI Interrupt 0000:00:1d.2[C] -> GSI 18 (level, low) -> IRQ 17
tfr kernel: usb usb3: root hub lost power or was reset
tfr kernel: ACPI: PCI Interrupt 0000:00:1d.3[D] -> GSI 16 (level, low) -> IRQ 16
tfr kernel: usb usb4: root hub lost power or was reset
tfr kernel: ACPI: PCI Interrupt 0000:00:1d.7[A] -> GSI 23 (level, low) -> IRQ 20
tfr kernel: ACPI: PCI Interrupt 0000:00:1f.1[A] -> GSI 18 (level, low) -> IRQ 17
tfr gpm[1864]: *** info [mice.c(1766)]:
tfr gpm[1864]: imps2: Auto-detected intellimouse PS/2
tfr kernel: ACPI: PCI Interrupt 0000:06:03.0[A] -> GSI 16 (level, low) -> IRQ 16
tfr kernel: ACPI: PCI Interrupt 0000:06:03.2[C] -> GSI 18 (level, low) -> IRQ 17
tfr kernel: eth1: Coming out of suspend...
tfr kernel: ACPI: PCI Interrupt 0000:06:04.0[A] -> GSI 22 (level, low) -> IRQ 18
tfr kernel: pnp: Device 00:06 does not supported activation.
tfr kernel: pnp: Device 00:07 does not supported activation.
tfr kernel: e100: eth0: e100_watchdog: link up, 100Mbps, full-duplex
tfr kernel: Restarting tasks...<6>usb 1-1: USB disconnect, address 4
tfr kernel: usb 1-1: new low speed USB device using uhci_hcd and address 5
tfr kernel:  done
tfr kernel: usb 1-1: configuration #1 chosen from 1 choice
tfr kernel: input: Logitech USB-PS/2 Optical Mouse as /class/input/input7
tfr kernel: input: USB HID v1.10 Mouse [Logitech USB-PS/2 Optical Mouse] on
usb-0000:00:1d.0-1
tfr kernel: ACPI Error (psargs-0353): [MULV] Namespace lookup failure, AE_NOT_FOUND
tfr kernel: ACPI Error (psparse-0517): Method parse/execution failed
[\_SB_.BAT0._BST] (Node c18dcfe0), AE_NOT_FOUND

Fail:
-----
tfr kernel: Stopping tasks:
=======================================================================================================|
tfr kernel: eth1: Going into suspend...
tfr kernel: Intel machine check architecture supported.
tfr kernel: Intel machine check reporting enabled on CPU#0.
tfr kernel: ACPI: PCI Interrupt 0000:00:02.0[A] -> GSI 16 (level, low) -> IRQ 169
tfr kernel: ACPI: PCI Interrupt 0000:00:1b.0[A] -> GSI 16 (level, low) -> IRQ 169
tfr kernel: ACPI: PCI Interrupt 0000:00:1d.0[A] -> GSI 23 (level, low) -> IRQ 193
tfr kernel: usb usb1: root hub lost power or was reset
tfr kernel: ACPI: PCI Interrupt 0000:00:1d.1[B] -> GSI 19 (level, low) -> IRQ 201
tfr kernel: usb usb2: root hub lost power or was reset
tfr kernel: ACPI: PCI Interrupt 0000:00:1d.2[C] -> GSI 18 (level, low) -> IRQ 177
tfr kernel: usb usb3: root hub lost power or was reset
tfr kernel: ACPI: PCI Interrupt 0000:00:1d.3[D] -> GSI 16 (level, low) -> IRQ 169
tfr kernel: usb usb4: root hub lost power or was reset
tfr kernel: ACPI: PCI Interrupt 0000:00:1d.7[A] -> GSI 23 (level, low) -> IRQ 193
tfr kernel: ACPI: PCI Interrupt 0000:00:1f.1[A] -> GSI 18 (level, low) -> IRQ 177
tfr kernel: ACPI: PCI Interrupt 0000:06:03.0[A] -> GSI 16 (level, low) -> IRQ 169
tfr kernel: ACPI: PCI Interrupt 0000:06:03.2[C] -> GSI 18 (level, low) -> IRQ 177
tfr kernel: eth1: Coming out of suspend...
tfr kernel: ACPI: PCI Interrupt 0000:06:04.0[A] -> GSI 22 (level, low) -> IRQ 209
tfr kernel: pnp: Device 00:06 does not support activation.
tfr kernel: pnp: Device 00:07 does not support activation.
tfr kernel: e100: eth0: e100_watchdog: link up, 100Mbps, full-duplex
tfr kernel: Restarting tasks...<6>usb 1-1: USB disconnect, address 3
tfr kernel: usb 1-1: new low speed USB device using uhci_hcd and address 4
tfr kernel: usb 1-1: configuration #1 chosen from 1 choice
tfr kernel: input: Logitech USB-PS/2 Optical Mouse as /class/input/input7
tfr kernel: input: USB HID v1.10 Mouse [Logitech USB-PS/2 Optical Mouse] on
usb-0000:00:1d.0-1
tfr kernel:  done
tfr gconfd (garry-2405): Received signal 15, shutting down cleanly
tfr gconfd (garry-2405): Exiting
tfr kdm[2127]: X server for display :0 terminated unexpectedly
tfr gpm[1867]: *** info [mice.c(1766)]:
tfr gpm[1867]: imps2: Auto-detected intellimouse PS/2
tfr shutdown[2525]: shutting down for system reboot
Comment 2 Garry T. Williams 2006-08-11 06:36:16 EDT
I just tried 2.6.17-1.2174_FC5.  No joy.

Display is still shut down after wake-up.  Same symptoms; I can log in and type
in the blind to reboot after <CTRL-ALT-1>.
Comment 3 Phil Knirsch 2006-09-18 07:42:06 EDT
Hi Garry.

Sorry i didn't update the bugzilla lately. Thing is, FC5 is know to have some
trouble with suspend and resume, no matter what kernels you use.

The only thing that would really help is to see if it still breaks on a fresh
FC-Devel installation (or FC6-test3, should be close enough).

I know this is a lot to ask for and i can't promise we can even fix it for FC5
anytime soon (or if at all), but it would help us determine if the problem still
exists in the latest development tree.

As those bugs are very hardware dependant it's nearly impossible for us to
replicate them ourselves, so we have to oftentimes rely on the reporters to
verify this.

I absolutely understand if you can't do this, be it because of hardware issues
(out of diskspace etc) or other reasons.

Thanks,

Read ya, Phil 
Comment 4 Garry T. Williams 2006-09-18 20:07:12 EDT
I just installed 2.6.17-1.3001.fc5 from Dave Jones' testing repository.  This
kernel fixes the problem.  Video is properly restored after S3 sleep.

I reset the component to `kernel' to reflect this.
Comment 5 Dave Jones 2006-09-18 21:31:21 EDT
nice!  This should turn up in fc5-updates in a week or two. (Depending on when
upstream releases a final 2.6.18).
Comment 6 Garry T. Williams 2006-09-18 22:30:31 EDT
Sound is dead after wake.

Additional information (from dmesg):

PM: Preparing system for mem sleep
Stopping tasks:
============================================================================================================|
platform bluetooth: suspend
usbhid 1-1:1.0: suspend
usb 1-1: suspend, may wakeup
hub 5-0:1.0: suspend
usb usb5: suspend, may wakeup
hub 4-0:1.0: suspend
usb usb4: suspend, may wakeup
hub 3-0:1.0: suspend
usb usb3: suspend, may wakeup
hub 2-0:1.0: suspend
usb usb2: suspend, may wakeup
hub 1-0:1.0: suspend
usb usb1: suspend, may wakeup
i8042 i8042: suspend
ide-cdrom 0.1: suspend
ide-disk 0.0: suspend
serial8250 serial8250: suspend
platform vesafb.0: suspend
pcspkr pcspkr: suspend
i8042 aux 00:07: suspend
i8042 kbd 00:06: suspend
pnp 00:05: suspend
system 00:04: suspend
pnp 00:03: suspend
pnp 00:02: suspend
pnp 00:01: suspend
pnp 00:00: suspend
e100 0000:06:08.0: suspend
ipw2200 0000:06:04.0: suspend
eth1: Going into suspend...
pci 0000:06:03.3: suspend
ohci1394 0000:06:03.2: suspend
yenta_cardbus 0000:06:03.0: suspend
i801_smbus 0000:00:1f.3: suspend
PIIX_IDE 0000:00:1f.1: suspend
pci 0000:00:1f.0: suspend
pci 0000:00:1e.0: suspend
ehci_hcd 0000:00:1d.7: suspend, may wakeup
uhci_hcd 0000:00:1d.3: suspend
uhci_hcd 0000:00:1d.2: suspend
uhci_hcd 0000:00:1d.1: suspend
uhci_hcd 0000:00:1d.0: suspend
HDA Intel 0000:00:1b.0: suspend
pci 0000:00:02.1: suspend
pci 0000:00:02.0: suspend
agpgart-intel 0000:00:00.0: suspend
acpi acpi: suspend
PM: Entering mem sleep
Intel machine check architecture supported.
Intel machine check reporting enabled on CPU#0.
Back to C!
BUG: sleeping function called from invalid context at kernel/rwsem.c:20
in_atomic():0, irqs_disabled():1
 [<c0403f8e>] show_trace_log_lvl+0x58/0x171
 [<c040456d>] show_trace+0xd/0x10
 [<c040460a>] dump_stack+0x19/0x1b
 [<c0417a28>] __might_sleep+0x8d/0x95
 [<c042ec6c>] down_read+0x15/0x3f
 [<c0427392>] blocking_notifier_call_chain+0x11/0x2d
 [<c0597b8b>] cpufreq_resume+0xf5/0x11d
 [<c05413f9>] __sysdev_resume+0x23/0x57
 [<c0541560>] sysdev_resume+0x19/0x4b
 [<c0545a7c>] device_power_up+0x8/0xf
 [<c0439d17>] suspend_enter+0x3f/0x5e
 [<c0439e93>] enter_state+0x15d/0x190
 [<c0439f4c>] state_store+0x86/0x9c
 [<c049aa9c>] subsys_attr_store+0x20/0x25
 [<c049ab9f>] sysfs_write_file+0xaa/0xcf
 [<c0464cad>] vfs_write+0xab/0x157
 [<c04651e4>] sys_write+0x3b/0x60
 [<c0402dbf>] syscall_call+0x7/0xb
DWARF2 unwinder stuck at syscall_call+0x7/0xb
Leftover inexact backtrace:
 [<c040456d>] show_trace+0xd/0x10
 [<c040460a>] dump_stack+0x19/0x1b
 [<c0417a28>] __might_sleep+0x8d/0x95
 [<c042ec6c>] down_read+0x15/0x3f
 [<c0427392>] blocking_notifier_call_chain+0x11/0x2d
 [<c0597b8b>] cpufreq_resume+0xf5/0x11d
 [<c05413f9>] __sysdev_resume+0x23/0x57
 [<c0541560>] sysdev_resume+0x19/0x4b
 [<c0545a7c>] device_power_up+0x8/0xf
 [<c0439d17>] suspend_enter+0x3f/0x5e
 [<c0439e93>] enter_state+0x15d/0x190
 [<c0439f4c>] state_store+0x86/0x9c
 [<c049aa9c>] subsys_attr_store+0x20/0x25
 [<c049ab9f>] sysfs_write_file+0xaa/0xcf
 [<c0464cad>] vfs_write+0xab/0x157
 [<c04651e4>] sys_write+0x3b/0x60
 [<c0402dbf>] syscall_call+0x7/0xb
PM: Finishing wakeup.
acpi acpi: resuming
agpgart-intel 0000:00:00.0: resuming
pci 0000:00:02.0: resuming
pci 0000:00:02.1: resuming
PM: Writing back config space on device 0000:00:02.1 at offset 4 (was 0, writing
52000000)
HDA Intel 0000:00:1b.0: resuming
PM: Writing back config space on device 0000:00:1b.0 at offset 1 (was 100006,
writing 100002)
ACPI: PCI Interrupt 0000:00:1b.0[A] -> GSI 16 (level, low) -> IRQ 169
PCI: Setting latency timer of device 0000:00:1b.0 to 64
hda_intel: azx_get_response timeout, switching to single_cmd mode...
uhci_hcd 0000:00:1d.0: resuming
ACPI: PCI Interrupt 0000:00:1d.0[A] -> GSI 23 (level, low) -> IRQ 209
PCI: Setting latency timer of device 0000:00:1d.0 to 64
usb usb1: root hub lost power or was reset
uhci_hcd 0000:00:1d.1: resuming
ACPI: PCI Interrupt 0000:00:1d.1[B] -> GSI 19 (level, low) -> IRQ 185
PCI: Setting latency timer of device 0000:00:1d.1 to 64
usb usb2: root hub lost power or was reset
uhci_hcd 0000:00:1d.2: resuming
ACPI: PCI Interrupt 0000:00:1d.2[C] -> GSI 18 (level, low) -> IRQ 177
PCI: Setting latency timer of device 0000:00:1d.2 to 64
usb usb3: root hub lost power or was reset
uhci_hcd 0000:00:1d.3: resuming
ACPI: PCI Interrupt 0000:00:1d.3[D] -> GSI 16 (level, low) -> IRQ 169
PCI: Setting latency timer of device 0000:00:1d.3 to 64
usb usb4: root hub lost power or was reset
ehci_hcd 0000:00:1d.7: resuming
ACPI: PCI Interrupt 0000:00:1d.7[A] -> GSI 23 (level, low) -> IRQ 209
PCI: Setting latency timer of device 0000:00:1d.7 to 64
pci 0000:00:1e.0: resuming
PM: Writing back config space on device 0000:00:1e.0 at offset 9 (was 1fff1,
writing 51f15001)
PM: Writing back config space on device 0000:00:1e.0 at offset 6 (was 20070600,
writing 200a0600)
PCI: Setting latency timer of device 0000:00:1e.0 to 64
pci 0000:00:1f.0: resuming
PIIX_IDE 0000:00:1f.1: resuming
PM: Writing back config space on device 0000:00:1f.1 at offset 1 (was 2800005,
writing 2880005)
i801_smbus 0000:00:1f.3: resuming
yenta_cardbus 0000:06:03.0: resuming
PM: Writing back config space on device 0000:06:03.0 at offset f (was 34001ff,
writing 5c001ff)
PM: Writing back config space on device 0000:06:03.0 at offset e (was 0, writing
28fc)
PM: Writing back config space on device 0000:06:03.0 at offset d (was 0, writing
2800)
PM: Writing back config space on device 0000:06:03.0 at offset c (was 0, writing
24fc)
PM: Writing back config space on device 0000:06:03.0 at offset b (was 0, writing
2400)
PM: Writing back config space on device 0000:06:03.0 at offset a (was 0, writing
55fff000)
PM: Writing back config space on device 0000:06:03.0 at offset 9 (was 0, writing
54000000)
PM: Writing back config space on device 0000:06:03.0 at offset 8 (was 0, writing
51fff000)
PM: Writing back config space on device 0000:06:03.0 at offset 7 (was 0, writing
50000000)
PM: Writing back config space on device 0000:06:03.0 at offset 6 (was 40070706,
writing b00a0706)
PM: Writing back config space on device 0000:06:03.0 at offset 4 (was 0, writing
b0108000)
PM: Writing back config space on device 0000:06:03.0 at offset 3 (was 824000,
writing 82a820)
PM: Writing back config space on device 0000:06:03.0 at offset 1 (was 2100000,
writing 2100007)
ACPI: PCI Interrupt 0000:06:03.0[A] -> GSI 16 (level, low) -> IRQ 169
ohci1394 0000:06:03.2: resuming
PM: Writing back config space on device 0000:06:03.2 at offset f (was 4030307,
writing 4030303)
PM: Writing back config space on device 0000:06:03.2 at offset 1 (was 2100012,
writing 2100016)
pci 0000:06:03.3: resuming
ipw2200 0000:06:04.0: resuming
eth1: Coming out of suspend...
ACPI: PCI Interrupt 0000:06:04.0[A] -> GSI 22 (level, low) -> IRQ 193
PM: Writing back config space on device 0000:06:04.0 at offset 1 (was 2900012,
writing 2900016)
e100 0000:06:08.0: resuming
pnp 00:00: resuming
pnp 00:01: resuming
pnp 00:02: resuming
pnp 00:03: resuming
system 00:04: resuming
pnp 00:05: resuming
i8042 kbd 00:06: resuming
pnp: Device 00:06 does not support activation.
i8042 aux 00:07: resuming
pnp: Device 00:07 does not support activation.
pcspkr pcspkr: resuming
platform vesafb.0: resuming
serial8250 serial8250: resuming
ide-disk 0.0: resuming
e100: dev1804289383: e100_watchdog: link up, 100Mbps, full-duplex
ide-cdrom 0.1: resuming
i8042 i8042: resuming
serio serio0: resuming
serio serio1: resuming
serio serio2: resuming
psmouse serio3: resuming
atkbd serio4: resuming
usb usb1: resuming
hub 1-0:1.0: resuming
usb usb2: resuming
hub 2-0:1.0: resuming
usb usb3: resuming
hub 3-0:1.0: resuming
usb usb4: resuming
hub 4-0:1.0: resuming
usb usb5: resuming
hub 5-0:1.0: resuming
usb 1-1: resuming
usbhid 1-1:1.0: resuming
platform bluetooth: resuming
Restarting tasks...<6>usb 1-1: USB disconnect, address 4
PM: Removing info for No Bus:usbdev1.4_ep81
PM: Removing info for usb:1-1:1.0
PM: Removing info for No Bus:usbdev1.4_ep00
PM: Removing info for usb:1-1
usb 1-1: new low speed USB device using uhci_hcd and address 5
 done
PM: Adding info for usb:1-1
PM: Adding info for No Bus:usbdev1.5_ep00
usb 1-1: configuration #1 chosen from 1 choice
PM: Adding info for usb:1-1:1.0
input: Logitech USB-PS/2 Optical Mouse as /class/input/input7
input: USB HID v1.10 Mouse [Logitech USB-PS/2 Optical Mouse] on usb-0000:00:1d.0-1
PM: Adding info for No Bus:usbdev1.5_ep81

Additional information (lspci):

00:00.0 Host bridge: Intel Corporation Mobile 915GM/PM/GMS/910GML Express
Processor to DRAM Controller (rev 03)
00:02.0 VGA compatible controller: Intel Corporation Mobile 915GM/GMS/910GML
Express Graphics Controller (rev 03)
00:02.1 Display controller: Intel Corporation Mobile 915GM/GMS/910GML Express
Graphics Controller (rev 03)
00:1b.0 Audio device: Intel Corporation 82801FB/FBM/FR/FW/FRW (ICH6 Family) High
Definition Audio Controller (rev 03)
00:1d.0 USB Controller: Intel Corporation 82801FB/FBM/FR/FW/FRW (ICH6 Family)
USB UHCI #1 (rev 03)
00:1d.1 USB Controller: Intel Corporation 82801FB/FBM/FR/FW/FRW (ICH6 Family)
USB UHCI #2 (rev 03)
00:1d.2 USB Controller: Intel Corporation 82801FB/FBM/FR/FW/FRW (ICH6 Family)
USB UHCI #3 (rev 03)
00:1d.3 USB Controller: Intel Corporation 82801FB/FBM/FR/FW/FRW (ICH6 Family)
USB UHCI #4 (rev 03)
00:1d.7 USB Controller: Intel Corporation 82801FB/FBM/FR/FW/FRW (ICH6 Family)
USB2 EHCI Controller (rev 03)
00:1e.0 PCI bridge: Intel Corporation 82801 Mobile PCI Bridge (rev d3)
00:1f.0 ISA bridge: Intel Corporation 82801FBM (ICH6M) LPC Interface Bridge (rev 03)
00:1f.1 IDE interface: Intel Corporation 82801FB/FBM/FR/FW/FRW (ICH6 Family) IDE
Controller (rev 03)
00:1f.3 SMBus: Intel Corporation 82801FB/FBM/FR/FW/FRW (ICH6 Family) SMBus
Controller (rev 03)
06:03.0 CardBus bridge: Texas Instruments PCI7420 CardBus Controller
06:03.2 FireWire (IEEE 1394): Texas Instruments PCI7x20 1394a-2000 OHCI Two-Port
PHY/Link-Layer Controller
06:03.3 Mass storage controller: <pci_lookup_name: buffer too small>
06:04.0 Network controller: Intel Corporation PRO/Wireless 2200BG (rev 05)
06:08.0 Ethernet controller: Intel Corporation 82562ET/EZ/GT/GZ - PRO/100 VE
(LOM) Ethernet Controller Mobile (rev 03)
Comment 7 Garry T. Williams 2006-09-18 22:41:23 EDT
Work-around to restore sound after S3 sleep/wake is /etc/init.d/alsasound
restart .  This was not necessary using 2.6.16-1.2133_FC5 kernel.
Comment 8 Dave Jones 2006-10-16 15:20:10 EDT
A new kernel update has been released (Version: 2.6.18-1.2200.fc5)
based upon a new upstream kernel release.

Please retest against this new kernel, as a large number of patches
go into each upstream release, possibly including changes that
may address this problem.

This bug has been placed in NEEDINFO state.
Due to the large volume of inactive bugs in bugzilla, if this bug is
still in this state in two weeks time, it will be closed.

Should this bug still be relevant after this period, the reporter
can reopen the bug at any time. Any other users on the Cc: list
of this bug can request that the bug be reopened by adding a
comment to the bug.

In the last few updates, some users upgrading from FC4->FC5
have reported that installing a kernel update has left their
systems unbootable. If you have been affected by this problem
please check you only have one version of device-mapper & lvm2
installed.  See bug 207474 for further details.

If this bug is a problem preventing you from installing the
release this version is filed against, please see bug 169613.

If this bug has been fixed, but you are now experiencing a different
problem, please file a separate bug for the new problem.

Thank you.
Comment 9 Garry T. Williams 2006-10-16 19:51:51 EDT
Sweet.

After yum install 2.6.18-1.2200.fc5, S3 sleep/wake functions correctly.
Comment 10 Dave Jones 2006-10-16 19:55:45 EDT
Sweet indeed :-)
Thanks for testing.

Note You need to log in before you can comment on or make changes to this bug.